LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 05-04-2005, 11:03 PM   #1
dinoman1989
LQ Newbie
 
Registered: May 2005
Posts: 6

Rep: Reputation: 0
Problems Installing gDesklets


Dear sirs,
Hello!

i am having some problems installing gDesklets for gnome on Suse 9.2 64 bit.

Here are the results of the configure command:
Code:
adam@linux:~/downloads/gDesk/gDesklets-0.34.3> ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler  cannot create executables
See `config.log' for more details.
Further, the following is the output of config.log

Code:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.59.  Invocation command line was

  $ ./configure 

## --------- ##
## Platform. ##
## --------- ##

hostname = linux
uname -m = x86_64
uname -r = 2.6.8-24.14-default
uname -s = Linux
uname -v = #1 Tue Mar 29 09:27:43 UTC 2005

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = x86_64
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /home/adam/bin
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /usr/X11R6/bin
PATH: /bin
PATH: /usr/games
PATH: /opt/gnome/bin
PATH: /opt/kde3/bin
PATH: /usr/lib/jvm/jre/bin
PATH: /openpkg/bin
PATH: .
PATH: /openpkg/bin
PATH: .
PATH: /openpkg/bin
PATH: .
PATH: /openpkg/bin
PATH: .


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1543: checking for a BSD-compatible install
configure:1598: result: /usr/bin/install -c
configure:1609: checking whether build environment is sane
configure:1652: result: yes
configure:1685: checking for gawk
configure:1701: found /usr/bin/gawk
configure:1711: result: gawk
configure:1721: checking whether make sets $(MAKE)
configure:1741: result: yes
configure:1898: checking whether to enable maintainer-specific portions of Makefiles
configure:1907: result: no
configure:1969: checking for gcc
configure:1985: found /bin/gcc
configure:1995: result: gcc
configure:2239: checking for C compiler version
configure:2242: gcc --version </dev/null >&5
gcc (GCC) 3.4.3 (OpenPKG-2.3)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2245: $? = 0
configure:2247: gcc -v </dev/null >&5
Reading specs from /openpkg/lib/gcc/i686-pc-linux-gnu/3.4.3/specs
Configured with: ../configure --cache-file=./config.cache --srcdir=/ltmp/openpkg-bf/lnx3-ix86-suse9.2/TMP/gcc-3.4.3/obj/.. --prefix=/openpkg --exec-prefix=/openpkg --includedir=/openpkg/include/gcc --libexecdir=/openpkg/libexec/gcc --with-gxx-include-dir=/openpkg/include/g++ --with-local-prefix=/openpkg/lib/gcc --enable-languages=c,c++ --enable-threads=posix --disable-maintainer-mode --disable-shared --disable-nls --with-gnu-ld --with-ld=/openpkg/bin/ld --with-gnu-as --with-as=/openpkg/bin/as
Thread model: posix
gcc version 3.4.3 (OpenPKG-2.3)
configure:2250: $? = 0
configure:2252: gcc -V </dev/null >&5
gcc: `-V' option must have argument
configure:2255: $? = 1
configure:2278: checking for C compiler default output file name
configure:2281: gcc    conftest.c  >&5
/openpkg/bin/ld: crt1.o: No such file: No such file or directory
collect2: ld returned 1 exit status
configure:2284: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:2323: error: C compiler cannot create executables
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_make_make_set=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /home/adam/downloads/gDesk/gDesklets-0.34.3/missing --run aclocal-1.7'
ALL_LINGUAS=''
AMDEPBACKSLASH=''
AMDEP_FALSE=''
AMDEP_TRUE=''
AMTAR='${SHELL} /home/adam/downloads/gDesk/gDesklets-0.34.3/missing --run tar'
AR=''
AUTOCONF='${SHELL} /home/adam/downloads/gDesk/gDesklets-0.34.3/missing --run autoconf'
AUTOHEADER='${SHELL} /home/adam/downloads/gDesk/gDesklets-0.34.3/missing --run autoheader'
AUTOMAKE='${SHELL} /home/adam/downloads/gDesk/gDesklets-0.34.3/missing --run automake-1.7'
AWK='gawk'
CATALOGS=''
CATOBJEXT=''
CC='gcc'
CCDEPMODE=''
CFLAGS=''
CPP=''
CPPFLAGS=''
CXX=''
CXXCPP=''
CXXDEPMODE=''
CXXFLAGS=''
CYGPATH_W='echo'
DATADIRNAME=''
DEFS=''
DEPDIR=''
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EWMH_CFLAGS=''
EWMH_LIBS=''
EXEEXT=''
F77=''
FFLAGS=''
GCONFTOOL=''
GCONF_SCHEMAS_INSTALL_FALSE=''
GCONF_SCHEMAS_INSTALL_TRUE=''
GCONF_SCHEMA_CONFIG_SOURCE=''
GCONF_SCHEMA_FILE_DIR=''
GDESKLETS_CFLAGS=''
GDESKLETS_LIBS=''
GETTEXT_PACKAGE=''
GLIBTOP_CFLAGS=''
GLIBTOP_LIBS=''
GMOFILES=''
GMSGFMT=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
INSTOBJEXT=''
INTLLIBS=''
INTLTOOL_CAVES_RULE=''
INTLTOOL_DESKTOP_RULE=''
INTLTOOL_DIRECTORY_RULE=''
INTLTOOL_EXTRACT=''
INTLTOOL_KBD_RULE=''
INTLTOOL_KEYS_RULE=''
INTLTOOL_MERGE=''
INTLTOOL_OAF_RULE=''
INTLTOOL_PERL=''
INTLTOOL_PONG_RULE=''
INTLTOOL_PROP_RULE=''
INTLTOOL_SCHEMAS_RULE=''
INTLTOOL_SERVER_RULE=''
INTLTOOL_SHEET_RULE=''
INTLTOOL_SOUNDLIST_RULE=''
INTLTOOL_THEME_RULE=''
INTLTOOL_UI_RULE=''
INTLTOOL_UPDATE=''
INTLTOOL_XAM_RULE=''
INTLTOOL_XML_RULE=''
LDFLAGS=''
LIBOBJS=''
LIBS=''
LIBTOOL=''
LN_S=''
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='${SHELL} /home/adam/downloads/gDesk/gDesklets-0.34.3/missing --run makeinfo'
MKINSTALLDIRS=''
MSGFMT=''
OBJEXT=''
PACKAGE='gDesklets'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
PIXMAPDIR=''
PKG_CONFIG=''
POFILES=''
POSUB=''
PO_IN_DATADIR_FALSE=''
PO_IN_DATADIR_TRUE=''
PYTHON=''
PYTHON_CFLAGS=''
PYTHON_EXEC_PREFIX=''
PYTHON_PLATFORM=''
PYTHON_PREFIX=''
PYTHON_VERSION=''
RANLIB=''
SET_MAKE=''
SHARED_MIME_INFO_CFLAGS=''
SHARED_MIME_INFO_LIBS=''
SHELL='/bin/sh'
STRIP=''
SVG_CFLAGS=''
SVG_LIBS=''
SYSTRAY_CFLAGS=''
SYSTRAY_LIBS=''
TILING_CFLAGS=''
TILING_LIBS=''
UPDATE_DESKTOP_DATABASE=''
UPDATE_MIME_DATABASE=''
USE_NLS=''
UTILS_CFLAGS=''
UTILS_LIBS=''
VERSION='0.34.3'
XGETTEXT=''
ac_ct_AR=''
ac_ct_CC='gcc'
ac_ct_CXX=''
ac_ct_F77=''
ac_ct_RANLIB=''
ac_ct_STRIP=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE=''
am__fastdepCXX_TRUE=''
am__include=''
am__leading_dot='.'
am__quote=''
bindir='${exec_prefix}/bin'
build=''
build_alias=''
build_cpu=''
build_os=''
build_vendor=''
coredir=''
datadir='${prefix}/share'
exec_prefix='NONE'
gnome_support=''
gnulocaledir=''
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/home/adam/downloads/gDesk/gDesklets-0.34.3/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir=''
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
pkgpyexecdir=''
pkgpythondir=''
prefix='NONE'
program_transform_name='s,x,x,'
pyexecdir=''
pythondir=''
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME ""
#define PACKAGE_STRING ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""

configure: exit 77
Any help fixing this so that I can use the lovely gDesklets proram would be very appreciated!!!
 
Old 05-04-2005, 11:15 PM   #2
cs-cam
Senior Member
 
Registered: May 2004
Location: Australia
Distribution: Gentoo
Posts: 3,544
Blog Entries: 4

Rep: Reputation: 57
Can you install gDesklets through YaST? That'd be much easier because to compile it you'll need to install a few development tools, if you do need to do it that way, just through YaST, installl all the apps in the development section (I'm assuming it has sections)
 
Old 05-04-2005, 11:22 PM   #3
dinoman1989
LQ Newbie
 
Registered: May 2005
Posts: 6

Original Poster
Rep: Reputation: 0
Thanks for the quick reply!

I tried YASTing for gDesklets, but it didn't appear when I searched for it -- I installed all the new gcc packages via YAST, but the same error still occurs.

Thanks,
Adam
 
Old 05-04-2005, 11:32 PM   #4
cs-cam
Senior Member
 
Registered: May 2004
Location: Australia
Distribution: Gentoo
Posts: 3,544
Blog Entries: 4

Rep: Reputation: 57
Installed make, autoconf, automake, bison, glibc? There's a few thigns that need to be installed, and since you're on a RPM distro all the source RPMs should probably be installed as well, at least for X and some of the GNOME stuff cause that's what gDesklets will be compiling against.
 
Old 05-04-2005, 11:37 PM   #5
dinoman1989
LQ Newbie
 
Registered: May 2005
Posts: 6

Original Poster
Rep: Reputation: 0
Thanks again for the fast reply!

I tried YASTing all of those packages, but only make and glibc returned anything (I installed everything returned).

I really don't understand what you said about that RPM stuff -- I really am a total linux n00b!!

Thanks,
Adam
 
Old 05-05-2005, 05:05 PM   #6
dinoman1989
LQ Newbie
 
Registered: May 2005
Posts: 6

Original Poster
Rep: Reputation: 0
buh-buh-bump
 
Old 05-06-2005, 12:36 AM   #7
dinoman1989
LQ Newbie
 
Registered: May 2005
Posts: 6

Original Poster
Rep: Reputation: 0
|3ump
 
Old 05-06-2005, 01:56 AM   #8
J.W.
LQ Veteran
 
Registered: Mar 2003
Location: Boise, ID
Distribution: Mint
Posts: 6,642

Rep: Reputation: 83
Per the LQ Rules, please do not bump your own thread until at least 24 hours have elapsed without a reply. Because the LQ membership is global, people in other time zones may not have seen this post yet, and thus it may take some time before a response is received.

http://www.linuxquestions.org/rules.php

Thanks -- J.W.
 
Old 05-06-2005, 03:55 AM   #9
__J
Senior Member
 
Registered: Dec 2004
Distribution: Slackware, ROCK
Posts: 1,973

Rep: Reputation: 46
what you are missing is crt1.o, which comes with gcc ( but probably not on your distro since it's an rpm distro). look for gcc-lib or something similar in Yast. you will also need binutils at the very least to create an executable with gcc. whatever libraries gDesklets needs to link against you will have to have it's devel package installed in order to compile this. for instance, say gDesklets needs gtk+-2.4 (or greater) you will need two packages:

gtk+-2.4.x-i486.rpm
gtk+-2.4.x-devel-i486.rpm

note that I do not use suse so the package names might be a little off ( you'll get the idea once you see them).
 
Old 05-06-2005, 04:27 PM   #10
comprookie2000
Gentoo Developer
 
Registered: Feb 2004
Location: Fort Lauderdale FL.
Distribution: Gentoo
Posts: 3,291
Blog Entries: 5

Rep: Reputation: 56
Plus all the python stuff;
Requirements

- Python 2.3 or higher
- pygtk 2.4.0 or higher
- libgtop 2.8.0 or higher
- librsvg
- GConf
- gnome-python 2.6.0 or higher
- GConf support for gnome-python (extra package gnome-python2-gconf on Redhat Linux)
- some applets may have extra requirements
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems installing gDeskLets on Suse 9.3 SK_pt Linux - Software 4 09-06-2005 10:28 AM
installing gDesklets kurcz Linux - Software 3 08-01-2005 02:41 AM
Installing gDesklets Bern911 Linux - Software 1 02-19-2005 09:13 PM
problems installing gdesklets limp Linux - Newbie 3 12-16-2004 07:37 PM
installing gdesklets minm Linux - Software 1 10-11-2004 12:22 AM


All times are GMT -5. The time now is 04:45 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration